# containers.podman.podman_network_info – Gather info about podman networks

Note

This plugin is part of the containers.podman collection (version 1.10.1).

To install it use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.podman_network_info`.

New in version 1.0.0: of containers.podman

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

## Synopsis

- Gather info about podman networks with podman inspect command.

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
executable string | Default: "podman" | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman`
name string |  | Name of the network

## Examples

    - name: Gather info about all present networks
      containers.podman.podman_network_info:

    - name: Gather info about specific network
      containers.podman.podman_network_info:
        name: podman

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
networks list / elements=string | always | Facts from all or specified networks Sample: [{'cniVersion': '0.4.0', 'name': 'podman', 'plugins': [{'bridge': 'cni-podman0', 'ipMasq': True, 'ipam': {'ranges': [[{'gateway': '10.88.0.1', 'subnet': '10.88.0.0/16'}]], 'routes': [{'dst': '0.0.0.0/0'}], 'type': 'host-local'}, 'isGateway': True, 'type': 'bridge'}, {'capabilities': {'portMappings': True}, 'type': 'portmap'}, {'backend': 'iptables', 'type': 'firewall'}]}]

### Authors

- Sagi Shnaidman (@sshnaidm)